--------------------------------------------------------------------------------
-- Alloy4PV -- Alloy for Process Verification
-- Copyright (C) 2012, 2014  Yoann Laurent (yoann.laurent@lip6.fr)

-- This program is free software: you can redistribute it and/or
-- modify it under the terms of the GNU General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.

-- This program is distributed in the hope that it will be useful, but
-- WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see
-- <http://www.gnu.org/licenses/>.
--------------------------------------------------------------------------------

module organizational

open util/integer
open util/boolean

open syntax

abstract sig Resource extends Object {}

abstract sig Info {
	use_i 					: ActivityNode -> set Resource,
	timing_i					: ActivityNode -> Int
} 
fun Use 					: ActivityNode -> set Resource 	{ Info.use_i }
fun Timing 				: ActivityNode -> Int					{ Info.timing_i }

